.holistic-testimonials-container {
    background-image: none;
}

.pdt-0 {
    padding-top: 0px;
}

.mt-30 {
    margin-top: 30px;
}

.latest-posts-slider-wrapper {
    background: linear-gradient(0deg, var(--gb-white) -50%, #f4fcff 100%);
    position: relative;
    margin: 0px auto;
    padding: 0px 60px;
}

.latest-posts-slider {
    max-width: var(--1280);
    margin: 0px auto;
    padding: 25px 0px 80px 0px;
}

.swiper {
    width: 100%;
    margin: auto;
    box-sizing: border-box;
    background: #FFFFFF;
    border: 1px solid #e4f1fb;
    box-shadow: 0px 0px 28px rgba(0, 156, 222, 0.08), inset 0px 0px 0px 3px #FFFFFF;
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
    position: relative;
}

.swiper-slide {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 0px;
    box-sizing: border-box;
}

.swiper-slide a {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    gap: 32px;
}

.slide-image {
    width: 100%;
    max-width: var(--1400);
    aspect-ratio: 16 / 9;
    overflow: hidden;
    background-color: var(--gb-white);
    border: 1px solid #e4f1fb;
    border-top-left-radius: 12px;
    border-bottom-left-radius: 12px;
    max-height: 430px;
}

.slide-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.slide-text-container {
    display: flex;
    flex-direction: column;
    width: 60%;
    padding-right: 32px;
    align-items: flex-start;
    justify-content: center;
}

.author-container {
    display: flex;
    flex-direction: row;
    margin-top: 20px;
    align-items: center;
    gap: 12px;
}

.slide-title {
    font-family: var(--font-family);
    color: var(--primary-900);
    font-weight: 800;
    font-size: 32px;
    line-height: 42px;
    width: 100%;
    margin: 0px auto;
    padding: 0px;
    text-align: left;
}

.slide-text {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
    gap: 10px;
}

.slide-meta {
    font-size: 0.9rem;
    color: #666;
    font-weight: 400;
    margin: 0;
}

.author-name {
    color: var(--primary-900);
    font-size: 16px;
}

.reading-time {
    color: #59717C;
    margin-bottom: 20px;
    font-size: 16px;
}

.reading-time span {
    font-weight: bold;
    color: #20333C;
}

/* Swiper Pagination Bullets */
.swiper-pagination {
    position: absolute;
    margin-bottom: 20px;
    left: 0px !important;
    text-align: left;
    margin-left: 30px;
}

.swiper-pagination-bullet {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: #fff;
    position: relative;
    overflow: hidden;
    transition: all 0.3s ease;
    opacity: 0.6;
}

/* Active bullet becomes an oval */
.swiper-pagination-bullet-active {
    width: 32px;
    border-radius: 20px;
    background-color: #FDEBDC;
    opacity: 1;
}

/* Progress fill inside active bullet */
.swiper-pagination-bullet-active::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 0%;
    background-color: var(--gb-orange-text, #FD7E16);
    /* Customize this if needed */
    opacity: 0.9;
    border-radius: inherit;
    animation: fillProgress 8s ease-in-out forwards;
    transition: width 0.5s ease-in-out, background-color 0.3s ease;
}

/* Animation keyframes */
@keyframes fillProgress {
    from {
        width: 0%;
    }

    to {
        width: 100%;
    }
}

/* Hack to reset animation */
.swiper-pagination-bullet-active.swiper-pagination-bullet-active-fix::before {
    animation: none;
    animation: fillProgress 8s ease-in-out forwards;
}

@media only screen and (max-width: 1024px) {
    .swiper-slide a {
        flex-direction: column !important;
        gap: 0px;
    }

    .latest-posts-slider-wrapper {
        padding-left: 60px;
        padding-right: 60px;
    }

    .slide-text-container {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        width: 100%;
        padding: 30px;
    }

    .swiper-pagination {
        position: relative;
        margin-top: var(--mobile-viewport-spacing);
        text-align: center;
    }

    .slide-title {
        font-size: 26px;
        line-height: 36px;
    }

    .latest-posts-slider {
        padding-top: var(--mobile-viewport-spacing);
    }

    .slide-image {
        border-top-left-radius: 6px;
        border-top-right-radius: 6px;
        border-bottom-left-radius: 0px;
    }

    .swiper-pagination-bullet {
        background-color: #bbb;
    }
}

@media only screen and (max-width: 834px) {
    .latest-posts-slider {
        padding: 25px 0px 45px 0px;
    }

    .latest-posts-slider-wrapper {
        padding-left: var(--mobile-viewport-spacing);
        padding-right: var(--mobile-viewport-spacing);
    }

    .slide-text-container {
        padding-top: 16px;
        padding-bottom: 16px;
        padding-right: 40px;
        padding-left: 40px;
    }

    .slide-title {
        font-size: 18px;
        line-height: 150%;
    }
}